# BarcodeItem class

Data about the scanned barcode.

## Constructors

BarcodeItem({required BarcodeFormat? type, required int count, required String text, required String textWithExtension, required Uint8List rawBytes, required GenericDocument? parsedDocument})
BarcodeItem.fromJson(Map<String, dynamic> json)
  factory

## Properties

count → int
  Number of recognized barcodes of this symbology and value.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
parsedDocument → GenericDocument?
  The parsed known document format (if parsed successfully).
  final
rawBytes → Uint8List
  Representation of the raw data that is contained the recognized barcode.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text → String
  Recognized value of the barcode.
  final
textWithExtension → String
  Recognized barcode value with extension (if available).
  final
type → BarcodeFormat?
  Recognized barcode symbology.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited